CipherModeFinalTemplate_CipherHolder< CIPHER, BASE > Class Template Reference

Block cipher mode of operation aggregate. More...

Inheritance diagram for CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >:

## Public Member Functions

| CipherModeFinalTemplate_CipherHolder (const byte *key, size_t length)
| CipherModeFinalTemplate_CipherHolder (const byte *key, size_t length, const byte *iv)
| CipherModeFinalTemplate_CipherHolder (const byte *key, size_t length, const byte *iv, int feedbackSize)
Public Member Functions inherited from AlgorithmImpl< BASE, CipherModeFinalTemplate_CipherHolder< CIPHER, BASE > >
std::string | AlgorithmName () const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from AlgorithmImpl< BASE, CipherModeFinalTemplate_CipherHolder< CIPHER, BASE > >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class CIPHER, class BASE>
class CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >

Block cipher mode of operation aggregate.

Definition at line 296 of file modes.h.

The documentation for this class was generated from the following file:

- modes.h